petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCGAMGSetType

Set solution method

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGAMGSetType(PC pc, PCGAMGType type)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| type | - PCGAMGAGG, PCGAMGGEO, or PCGAMGCLASSICAL

### Options Database Key

-pc_gamg_type <agg,geo,classical> -type of algebraic multigrid to apply

### See Also

PCGAMGGetType(), PCGAMG, PCGAMGType

### Level

intermediate

### Location

src/ksp/pc/impls/gamg/gamg.c

### Implementations

PCGAMGSetType_GAMG in src/ksp/pc/impls/gamg/gamg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages